﻿using System.Collections.Generic;
using Xamarin.Forms;

namespace Carouseltest
{
    public partial class CarouseltestPage : ContentPage
    {
        public CarouseltestPage()
        {
            InitializeComponent();
            tpVCatList.BindingContext = new ListViewModel();
			
        }
    }
	public class CarouselModel
	{
		public CarouselModel(string imageString)
		{
			Image = imageString;
		}
		private string _image;
		public string Image
		{
			get { return _image; }
			set { _image = value; }
		}
	}
	public class CarouselViewModel
	{
		public CarouselViewModel()
		{
			ImageCollection.Add(new CarouselModel("movie1.png"));
			ImageCollection.Add(new CarouselModel("movie2.png"));
			ImageCollection.Add(new CarouselModel("movie3.png"));
			ImageCollection.Add(new CarouselModel("movie4.png"));
			ImageCollection.Add(new CarouselModel("movie5.png"));
		}
		private List<CarouselModel> imageCollection = new List<CarouselModel>();
		public List<CarouselModel> ImageCollection
		{
			get { return imageCollection; }
			set { imageCollection = value; }
		}
	}
    public class ListViewModel
    {
        public ListViewModel()
        {
            CarouselCollection.Add(new CarouselViewModel());
        }
		private List<CarouselViewModel> carouselCollection = new List<CarouselViewModel>();
		public List<CarouselViewModel> CarouselCollection
		{
			get { return carouselCollection; }
			set { carouselCollection = value; }
		}
    }
}
